


getList
===

  select 
    t1.*, t2.unit, t2.sku, t2.sell_price, t2.cost_price, t2.title
  from contracts_products t1
  join products t2 on t1.product_id = t2.id
  where 1=1
  @if(!isEmpty(contractId)){
  and t1.contract_id =#contractId#
  @}
  @if(!isEmpty(protocolId)){
  and t1.protocol_id =#protocolId#
  @}
  @if(!isEmpty(pickupStatus)){
  and t1.pickup_status =#pickupStatus#
  @}
  @if(!isEmpty(pickupProductId)){
  and t1.pickup_product_id =#pickupProductId#
  @}



getListByFinancingId
===

  select 
    t1.*, t2.unit, t2.sku, t2.sell_price, t2.title
  from contracts_products t1
  join products t2 on t1.product_id = t2.id
  join financings t3 on t1.protocol_id = t3.protocol_id
  where t3.id = #financingId#


getHadPickupAmount
===

* 已提货物金额

select
sum(t.price) had_pickup_amount
from contracts_products t
where t.pickup_status = 1
@if(!isEmpty(contractId)){
and t.contract_id =#contractId#
@}
@if(!isEmpty(protocolId)){
and t.protocol_id =#protocolId#
@}



getPickupAmountByIds
===

* 根据id查询已提货物金额

select
sum(t.price) pickup_amount
from contracts_products t
where t.id in (#join(ids)#)


updatePickupStatus
===

* 根据提货ID修改货物提货状态

update contracts_products t1
set t1.pickup_status = #pickupStatus#  , t1.pickup_product_id = null
where t1.pickup_product_id = #pickupProductId#


deleteBySendProductId
===

* 根据发货ID删除数据

delete from contracts_products t1
where t1.protocol_id in (
  select t2.protocol_id from send_products t2 where t2.id = #sendProductId#
)
