queryCondition
===

* 查询条件

  @if(!isEmpty(examinationId)){
  and t.examination_id =#examinationId#
  @}
  @if(!isEmpty(flowId)){
  and t.flow_id =#flowId#
  @}



pageQueryByCondition
===

* 分页查询

  select
  @pageTag(){
  t.*,
  t2.seller_name, t2.bank_name, t2.express_name, t2.express_id,t2.seller_id, t2.bank_id, t2.protocol_no, t2.buyer_name,
  t3.financing_no, t3.apply_amount, t3.contract_amount,
  (t3.fk_amount + t3.interest_amount - t3.repayment_amount) pending_repayment, 
  t3.financing_end_time,
  t4.corporation seller_corporation
  @}
  from pickup_products t
  join protocols t2 on t2.id = t.protocol_id
  join financings t3 on t3.id = t.financing_id
  join materials t4 on t4.id = t2.seller_id
  where 1 = 1
  #use("queryCondition")#
  @ if(!isEmpty(sellerName)){
  and (
    t2.seller_name like #'%'+sellerName+'%'#
    or t2.buyer_name like #'%'+sellerName+'%'#
  )
  @}
  @ if(!isEmpty(buyerName)){
  and t2.buyer_name like #'%'+buyerName+'%'#
  @}
  @ if(!isEmpty(pickupApplyStatusGreater)){
  and t.pickup_apply_status > #pickupApplyStatusGreater#
  @}
  @ if(!isEmpty(pickupStatusGreater)){
  and t.pickup_status > #pickupStatusGreater#
  @}



getNewPickupProductFinancings
===

* 查询可以新增提货申请的融资

  select
    t.financing_no, t.id financing_id, 
    t2.seller_id, t2.seller_name, t2.bank_id, t2.bank_name,
    t2.express_id, t2.express_name, t2.id protocol_id,
    t3.accept_address
  from financings t
  join protocols t2 on t2.id = t.protocol_id
  join send_products t3 on t3.protocol_id = t2.id
  where
    EXISTS(
      select 1 from contracts_products t4 
      where t4.pickup_status = 0 and t4.protocol_id = t2.id
    )
  #use("queryCondition")#



getNewBdcPickupProductFinancings
===

* 查询可以新增提货申请的融资

  select
    t.financing_no, t.id financing_id,
    t2.buyer_id, t2.buyer_name,t2.seller_id, t2.seller_name, t2.bank_id, t2.bank_name,
    t2.express_id, t2.express_name, t2.id protocol_id
  from financings t
  join protocols t2 on t2.id = t.protocol_id
  where
    EXISTS(
      select 1 from contracts_products t4 
      where t4.pickup_status = 0 and t4.contract_id = t.contract_id
    )
  #use("queryCondition")#



