layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var coreOrgTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),coreOrgTable)
            }
        },
        initTable:function(){
            coreOrgTable = table.render({
                elem : '#coreOrgTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/coreOrg/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'code', 
                        title : 'code',
                },
                {

                    field : 'name', 
                        title : 'name',
                },
                {

                    field : 'createTime', 
                        title : 'createTime',
                },
                {

                    field : 'parentOrgId', 
                        title : 'parentOrgId',
                },
                {

                    field : 'type', 
                        title : '1 公司，2 部门，3 小组',
                },

        ] ]

        });

            table.on('checkbox(coreOrgTable)', function(obj){
                var coreOrg = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),coreOrgTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/coreOrg/add.do";
                    Common.openDlg(url,"CoreOrg管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"coreOrgTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/coreOrg/edit.do?id="+data.id;
                    Common.openDlg(url,"CoreOrg管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});