layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var examinationClassesTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),examinationClassesTable)
            }
        },
        initTable:function(){
            examinationClassesTable = table.render({
                elem : '#examinationClassesTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/examinationClasses/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'examinationId', 
                        title : 'examinationId',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'classId', 
                        title : 'classId',
                },
                {

                    field : 'status', 
                        title : 'status',
                },
                {

                    field : 'data', 
                        title : 'data',
                }

        ] ]

        });

            table.on('checkbox(examinationClassesTable)', function(obj){
                var examinationClasses = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),examinationClassesTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/examinationClasses/add.do";
                    Common.openDlg(url,"ExaminationClasses管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"examinationClassesTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/examinationClasses/edit.do?classId="+data.classId;
                    Common.openDlg(url,"ExaminationClasses管理>"+data.examinationId+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});