layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var examinationFinancialsTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),examinationFinancialsTable)
            }
        },
        initTable:function(){
            examinationFinancialsTable = table.render({
                elem : '#examinationFinancialsTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/examinationFinancials/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                },
                {

                    field : 'data', 
                        title : 'data',
                },
                {

                    field : 'initBalance', 
                        title : '初始资金',
                },
                {

                    field : 'balance', 
                        title : '可用资金',
                },
                {

                    field : 'productAssets', 
                        title : '存货价值',
                },
                {

                    field : 'raiseRate', 
                        title : '资产增长率',
                },
                {

                    field : 'raiseOrders', 
                        title : '资产增长率排名',
                }

        ] ]

        });

            table.on('checkbox(examinationFinancialsTable)', function(obj){
                var examinationFinancials = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),examinationFinancialsTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/examinationFinancials/add.do";
                    Common.openDlg(url,"ExaminationFinancials管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"examinationFinancialsTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/examinationFinancials/edit.do?id="+data.id;
                    Common.openDlg(url,"ExaminationFinancials管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});