layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var examinationsTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),examinationsTable)
            }
        },
        initTable:function(){
            examinationsTable = table.render({
                elem : '#examinationsTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/examinations/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                },
                {

                    field : 'deletedAt', 
                        title : 'deletedAt',
                },
                {

                    field : 'data', 
                        title : 'data',
                },
                {

                    field : 'name', 
                        title : 'name',
                },
                {

                    field : 'flowId', 
                        title : '流程id',
                },
                {

                    field : 'mode', 
                        title : '实训模式：0：个人；1：班级；',
                },
                {

                    field : 'startTime', 
                        title : 'startTime',
                },
                {

                    field : 'endTime', 
                        title : 'endTime',
                },
                {

                    field : 'teacherId', 
                        title : '教师id',
                },
                {

                    field : 'status', 
                        title : 'status',
                },
                {

                    field : 'userNum', 
                        title : 'userNum',
                },
                {

                    field : 'type', 
                        title : '0:练习模式；1: 实训模式；',
                },
                {

                    field : 'scoresStatus', 
                        title : '0: 待评分；1：已评分；',
                }

        ] ]

        });

            table.on('checkbox(examinationsTable)', function(obj){
                var examinations = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),examinationsTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/examinations/add.do";
                    Common.openDlg(url,"Examinations管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"examinationsTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/examinations/edit.do?id="+data.id;
                    Common.openDlg(url,"Examinations管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});