layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var financingsTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),financingsTable)
            }
        },
        initTable:function(){
            financingsTable = table.render({
                elem : '#financingsTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/financings/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                },
                {

                    field : 'data', 
                        title : 'data',
                },
                {

                    field : 'examinationId', 
                        title : 'examinationId',
                },
                {

                    field : 'flowId', 
                        title : 'flowId',
                },
                {

                    field : 'instanceId', 
                        title : 'instanceId',
                },
                {

                    field : 'applyNo', 
                        title : '融资申请编号',
                },
                {

                    field : 'applyData', 
                        title : 'applyData',
                },
                {

                    field : 'applyStatus', 
                        title : '0:待审核；1：审核通过；-5：已驳回；',
                },
                {

                    field : 'roleId', 
                        title : 'roleId',
                },
                {

                    field : 'roleType', 
                        title : 'roleType',
                },
                {

                    field : 'financingNo', 
                        title : '贷款编号',
                },
                {

                    field : 'financingData', 
                        title : 'financingData',
                },
                {

                    field : 'financingStatus', 
                        title : '1: 贷款发放; 5：还款中； 9：已结清贷款；',
                },
                {

                    field : 'financingEndTime', 
                        title : '贷款到期时间',
                },
                {

                    field : 'entityId', 
                        title : 'entityId',
                },
                {

                    field : 'entityType', 
                        title : 'entityType',
                },
                {

                    field : 'levyStatus', 
                        title : '1: 催收成功',
                }

        ] ]

        });

            table.on('checkbox(financingsTable)', function(obj){
                var financings = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),financingsTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/financings/add.do";
                    Common.openDlg(url,"Financings管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"financingsTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/financings/edit.do?id="+data.id;
                    Common.openDlg(url,"Financings管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});