layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var instanceRolesTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),instanceRolesTable)
            }
        },
        initTable:function(){
            instanceRolesTable = table.render({
                elem : '#instanceRolesTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/instanceRoles/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'instanceDataId', 
                        title : 'instanceDataId',
                },
                {

                    field : 'buyerId', 
                        title : 'buyerId',
                },
                {

                    field : 'buyerName', 
                        title : 'buyerName',
                },
                {

                    field : 'sellerId', 
                        title : 'sellerId',
                },
                {

                    field : 'sellerName', 
                        title : 'sellerName',
                },
                {

                    field : 'bankId', 
                        title : 'bankId',
                },
                {

                    field : 'bankName', 
                        title : 'bankName',
                },
                {

                    field : 'expressId', 
                        title : 'expressId',
                },
                {

                    field : 'expressName', 
                        title : 'expressName',
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                },
                {

                    field : 'data', 
                        title : 'data',
                }

        ] ]

        });

            table.on('checkbox(instanceRolesTable)', function(obj){
                var instanceRoles = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),instanceRolesTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/instanceRoles/add.do";
                    Common.openDlg(url,"InstanceRoles管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"instanceRolesTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/instanceRoles/edit.do?id="+data.id;
                    Common.openDlg(url,"InstanceRoles管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});