layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var materialsTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),materialsTable)
            }
        },
        initTable:function(){
            materialsTable = table.render({
                elem : '#materialsTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/materials/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                },
                {

                    field : 'data', 
                        title : 'data',
                },
                {

                    field : 'name', 
                        title : 'name',
                },
                {

                    field : 'corporation', 
                        title : '法人/负责人',
                },
                {

                    field : 'industry', 
                        title : 'industry',
                },
                {

                    field : 'account', 
                        title : '账号',
                },
                {

                    field : 'telephone', 
                        title : 'telephone',
                },
                {

                    field : 'address', 
                        title : 'address',
                },
                {

                    field : 'balance', 
                        title : '启动资金',
                },
                {

                    field : 'currentAssetsRatio', 
                        title : '流动资产比率',
                },
                {

                    field : 'fixedAssetsRatio', 
                        title : '固定资产比率',
                },
                {

                    field : 'liabilitiesRatio', 
                        title : '资产负债率',
                },
                {

                    field : 'type', 
                        title : '1:卖方企业；2：买方企业；3：物流仓储业；4：银行；',
                },
                {

                    field : 'creditLevel', 
                        title : '信用评级',
                },
                {

                    field : 'userId', 
                        title : 'userId',
                }

        ] ]

        });

            table.on('checkbox(materialsTable)', function(obj){
                var materials = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),materialsTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/materials/add.do";
                    Common.openDlg(url,"Materials管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"materialsTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/materials/edit.do?id="+data.id;
                    Common.openDlg(url,"Materials管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});