layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var pickupProductsTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),pickupProductsTable)
            }
        },
        initTable:function(){
            pickupProductsTable = table.render({
                elem : '#pickupProductsTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/pickupProducts/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                },
                {

                    field : 'data', 
                        title : 'data',
                },
                {

                    field : 'examinationId', 
                        title : 'examinationId',
                },
                {

                    field : 'flowId', 
                        title : 'flowId',
                },
                {

                    field : 'instanceId', 
                        title : 'instanceId',
                },
                {

                    field : 'pickupApplyNo', 
                        title : '提货申请单号',
                },
                {

                    field : 'pickupApplyData', 
                        title : 'pickupApplyData',
                },
                {

                    field : 'pickupApplyStatus', 
                        title : '1:已上传提货申请单；2： 已提交；',
                },
                {

                    field : 'pickupNo', 
                        title : '提货单号',
                },
                {

                    field : 'pickupData', 
                        title : 'pickupData',
                },
                {

                    field : 'pickupStatus', 
                        title : '1: 待确认；2： 出具提货通知书；3: 确认签发',
                },
                {

                    field : 'outWarehouseNo', 
                        title : '出库单号',
                },
                {

                    field : 'outWarehouseData', 
                        title : 'outWarehouseData',
                },
                {

                    field : 'outWarehouseStatus', 
                        title : '1:待配送;2: 已配送;',
                },
                {

                    field : 'expressNo', 
                        title : '送货单号',
                },
                {

                    field : 'receiptNo', 
                        title : '收货入库单号',
                },
                {

                    field : 'receiptData', 
                        title : 'receiptData',
                },
                {

                    field : 'receiptStatus', 
                        title : '1: 待收货; 2: 待入库；3：已入库；',
                },
                {

                    field : 'entityId', 
                        title : 'entityId',
                },
                {

                    field : 'entityType', 
                        title : 'entityType',
                }

        ] ]

        });

            table.on('checkbox(pickupProductsTable)', function(obj){
                var pickupProducts = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),pickupProductsTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/pickupProducts/add.do";
                    Common.openDlg(url,"PickupProducts管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"pickupProductsTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/pickupProducts/edit.do?id="+data.id;
                    Common.openDlg(url,"PickupProducts管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});