layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var protocolsTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),protocolsTable)
            }
        },
        initTable:function(){
            protocolsTable = table.render({
                elem : '#protocolsTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/protocols/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                },
                {

                    field : 'data', 
                        title : 'data',
                },
                {

                    field : 'examinationId', 
                        title : 'examinationId',
                },
                {

                    field : 'flowId', 
                        title : 'flowId',
                },
                {

                    field : 'instanceId', 
                        title : 'instanceId',
                },
                {

                    field : 'protocolNo', 
                        title : '存货质押协议编号',
                },
                {

                    field : 'protocolTime', 
                        title : '签约日期',
                },
                {

                    field : 'protocolStatus', 
                        title : 'protocolStatus',
                },
                {

                    field : 'productData', 
                        title : 'productData',
                },
                {

                    field : 'buyerId', 
                        title : 'buyerId',
                },
                {

                    field : 'buyerName', 
                        title : 'buyerName',
                },
                {

                    field : 'sellerId', 
                        title : 'sellerId',
                },
                {

                    field : 'sellerName', 
                        title : 'sellerName',
                },
                {

                    field : 'bankId', 
                        title : 'bankId',
                },
                {

                    field : 'bankName', 
                        title : 'bankName',
                },
                {

                    field : 'expressId', 
                        title : 'expressId',
                },
                {

                    field : 'expressName', 
                        title : 'expressName',
                },
                {

                    field : 'entityId', 
                        title : 'entityId',
                },
                {

                    field : 'entityType', 
                        title : 'entityType',
                },
                {

                    field : 'type', 
                        title : 'type',
                },
                {

                    field : 'protocolData', 
                        title : 'protocolData',
                }

        ] ]

        });

            table.on('checkbox(protocolsTable)', function(obj){
                var protocols = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),protocolsTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/protocols/add.do";
                    Common.openDlg(url,"Protocols管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"protocolsTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/protocols/edit.do?id="+data.id;
                    Common.openDlg(url,"Protocols管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});