layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var repaymentsTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),repaymentsTable)
            }
        },
        initTable:function(){
            repaymentsTable = table.render({
                elem : '#repaymentsTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/repayments/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                },
                {

                    field : 'data', 
                        title : 'data',
                },
                {

                    field : 'examinationId', 
                        title : 'examinationId',
                },
                {

                    field : 'flowId', 
                        title : 'flowId',
                },
                {

                    field : 'instanceId', 
                        title : 'instanceId',
                },
                {

                    field : 'repaymentNo', 
                        title : '还款编号',
                },
                {

                    field : 'repaymentData', 
                        title : 'repaymentData',
                },
                {

                    field : 'repaymentStatus', 
                        title : '1：还款中；9: 已结清贷款；',
                },
                {

                    field : 'entityId', 
                        title : 'entityId',
                },
                {

                    field : 'entityType', 
                        title : 'entityType',
                }

        ] ]

        });

            table.on('checkbox(repaymentsTable)', function(obj){
                var repayments = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),repaymentsTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/repayments/add.do";
                    Common.openDlg(url,"Repayments管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"repaymentsTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/repayments/edit.do?id="+data.id;
                    Common.openDlg(url,"Repayments管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});