layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var schoolsTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),schoolsTable)
            }
        },
        initTable:function(){
            schoolsTable = table.render({
                elem : '#schoolsTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/schools/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                },
                {

                    field : 'data', 
                        title : 'data',
                },
                {

                    field : 'name', 
                        title : 'name',
                },
                {

                    field : 'status', 
                        title : 'status',
                },
                {

                    field : 'description', 
                        title : 'description',
                },
                {

                    field : 'code', 
                        title : 'code',
                },
                {

                    field : 'college', 
                        title : 'college',
                },
                {

                    field : 'major', 
                        title : 'major',
                },
                {

                    field : 'coreOrgId', 
                        title : 'coreOrgId',
                }

        ] ]

        });

            table.on('checkbox(schoolsTable)', function(obj){
                var schools = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),schoolsTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/schools/add.do";
                    Common.openDlg(url,"Schools管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"schoolsTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/schools/edit.do?id="+data.id;
                    Common.openDlg(url,"Schools管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});