layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var sendProductsTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),sendProductsTable)
            }
        },
        initTable:function(){
            sendProductsTable = table.render({
                elem : '#sendProductsTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/sendProducts/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                },
                {

                    field : 'data', 
                        title : 'data',
                },
                {

                    field : 'examinationId', 
                        title : 'examinationId',
                },
                {

                    field : 'flowId', 
                        title : 'flowId',
                },
                {

                    field : 'instanceId', 
                        title : 'instanceId',
                },
                {

                    field : 'sendNo', 
                        title : '发货单号',
                },
                {

                    field : 'sendData', 
                        title : 'sendData',
                },
                {

                    field : 'sendStatus', 
                        title : '0:待发货；1：待接收；2: 已接收；',
                },
                {

                    field : 'productData', 
                        title : 'productData',
                },
                {

                    field : 'acceptData', 
                        title : '收货信息',
                },
                {

                    field : 'inWarehouseNo', 
                        title : '入库编号',
                },
                {

                    field : 'inWarehouseData', 
                        title : 'inWarehouseData',
                },
                {

                    field : 'inWarehouseStatus', 
                        title : '0:已入库;1: 待核定；2：已核定；',
                },
                {

                    field : 'entityId', 
                        title : 'entityId',
                },
                {

                    field : 'entityType', 
                        title : 'entityType',
                },
                {

                    field : 'type', 
                        title : 'type',
                }

        ] ]

        });

            table.on('checkbox(sendProductsTable)', function(obj){
                var sendProducts = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),sendProductsTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/sendProducts/add.do";
                    Common.openDlg(url,"SendProducts管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"sendProductsTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/sendProducts/edit.do?id="+data.id;
                    Common.openDlg(url,"SendProducts管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});