layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var studentTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),studentTable)
            }
        },
        initTable:function(){
            studentTable = table.render({
                elem : '#studentTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/student/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'studentId', 
                        title : '学生ID',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'studentNo', 
                        title : '学号',
                },
                {

                    field : 'studentName', 
                        title : '姓名',
                },
                {

                    field : 'studentPhone', 
                        title : '电话号码',
                },
                {

                    field : 'studentAccount', 
                        title : '学生账号',
                },
                {

                    field : 'studentPassword', 
                        title : '密码',
                },
                {

                    field : 'studentSex', 
                        title : '性别(1男 2女)',
                },
                {

                    field : 'studentIdCartType', 
                        title : '证件类型',
                },
                {

                    field : 'studentIdCard', 
                        title : '证件号',
                },
                {

                    field : 'maxEducation', 
                        title : '最高学历',
                },
                {

                    field : 'studentPoliticalOutlook', 
                        title : '政治面貌',
                },
                {

                    field : 'studentAddress', 
                        title : '联系地址',
                },
                {

                    field : 'studentSource', 
                        title : '来源',
                },
                {

                    field : 'studentNation', 
                        title : '民族',
                },
                {

                    field : 'studentBirthday', 
                        title : '出生年月',
                },
                {

                    field : 'studentTestNo', 
                        title : '考生号',
                },
                {

                    field : 'postalCode', 
                        title : '邮政编码',
                },
                {

                    field : 'studentEmail', 
                        title : '邮箱',
                },
                {

                    field : 'studentJobAddress', 
                        title : '工作单位',
                },
                {

                    field : 'targetUniversityId', 
                        title : '报考学校ID',
                },
                {

                    field : 'studentRemark', 
                        title : '备注',
                },
                {

                    field : 'studentStatus', 
                        title : '状态（1正常 2删除）',
                },
                {

                    field : 'studentAddTime', 
                        title : '添加时间',
                },
                {

                    field : 'orgId', 
                        title : '组织机构ID',
                },
                {

                    field : 'userId', 
                        title : '后台用户ID',
                }

        ] ]

        });

            table.on('checkbox(studentTable)', function(obj){
                var student = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),studentTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/student/add.do";
                    Common.openDlg(url,"Student管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"studentTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/student/edit.do?studentId="+data.studentId;
                    Common.openDlg(url,"Student管理>"+data.studentId+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});