layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var teamsTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),teamsTable)
            }
        },
        initTable:function(){
            teamsTable = table.render({
                elem : '#teamsTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/teams/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                },
                {

                    field : 'deletedAt', 
                        title : 'deletedAt',
                },
                {

                    field : 'data', 
                        title : 'data',
                },
                {

                    field : 'name', 
                        title : 'name',
                },
                {

                    field : 'creatorId', 
                        title : '创建团队的用户id',
                },
                {

                    field : 'leaderId', 
                        title : '队长id',
                },
                {

                    field : 'endTime', 
                        title : '实训结束时间',
                },
                {

                    field : 'classId', 
                        title : 'classId',
                },
                {

                    field : 'flowId', 
                        title : 'flowId',
                },
                {

                    field : 'status', 
                        title : 'status',
                },
                {

                    field : 'examinationId', 
                        title : 'examinationId',
                }

        ] ]

        });

            table.on('checkbox(teamsTable)', function(obj){
                var teams = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),teamsTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/teams/add.do";
                    Common.openDlg(url,"Teams管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"teamsTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/teams/edit.do?id="+data.id;
                    Common.openDlg(url,"Teams管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});