layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var userExaminationsTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),userExaminationsTable)
            }
        },
        initTable:function(){
            userExaminationsTable = table.render({
                elem : '#userExaminationsTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/userExaminations/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'flowId', 
                        title : 'flowId',
                },
                {

                    field : 'examinationId', 
                        title : 'examinationId',
                },
                {

                    field : 'userId', 
                        title : 'userId',
                },
                {

                    field : 'teamId', 
                        title : 'teamId',
                },
                {

                    field : 'financialId', 
                        title : 'financialId',
                },
                {

                    field : 'instanceId', 
                        title : 'instanceId',
                },
                {

                    field : 'status', 
                        title : '1：已提交实训；2：已评分；',
                },
                {

                    field : 'finishTime', 
                        title : 'finishTime',
                },
                {

                    field : 'reportFile', 
                        title : 'reportFile',
                },
                {

                    field : 'reportName', 
                        title : 'reportName',
                },
                {

                    field : 'flowScores', 
                        title : 'flowScores',
                },
                {

                    field : 'reportScores', 
                        title : 'reportScores',
                },
                {

                    field : 'raiseScores', 
                        title : 'raiseScores',
                },
                {

                    field : 'durationScores', 
                        title : 'durationScores',
                },
                {

                    field : 'totalScores', 
                        title : 'totalScores',
                },
                {

                    field : 'classId', 
                        title : 'classId',
                },
                {

                    field : 'classOrders', 
                        title : '个人排名',
                },
                {

                    field : 'teamOrders', 
                        title : '团队排名',
                },
                {

                    field : 'data', 
                        title : 'data',
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                }

        ] ]

        });

            table.on('checkbox(userExaminationsTable)', function(obj){
                var userExaminations = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),userExaminationsTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/userExaminations/add.do";
                    Common.openDlg(url,"UserExaminations管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"userExaminationsTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/userExaminations/edit.do?id="+data.id;
                    Common.openDlg(url,"UserExaminations管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});