layui.define([ 'form', 'laydate', 'table' ], function(exports) {
    var form = layui.form;
    var laydate = layui.laydate;
    var table = layui.table;
    var usersTable = null;
    var view ={
        init:function(){
            this.initTable();
            this.initSearchForm();
            this.initToolBar();
            window.dataReload = function(){
                Lib.doSearchForm($("#searchForm"),usersTable)
            }
        },
        initTable:function(){
            usersTable = table.render({
                elem : '#usersTable',
                height : Lib.getTableHeight(1),
                cellMinWidth: 100,
                method : 'post',
                url : Common.ctxPath + '/jlw/users/list.json' // 数据接口
                ,page : Lib.tablePage // 开启分页
                ,limit : 10,
                cols : [ [ // 表头
                    {
                        type : 'checkbox',
                        fixed:'left',
                    },
                {

                    field : 'id', 
                        title : 'id',
                    fixed:'left',
                        width : 60,
                },
                {

                    field : 'createdAt', 
                        title : 'createdAt',
                },
                {

                    field : 'deletedAt', 
                        title : 'deletedAt',
                },
                {

                    field : 'updatedAt', 
                        title : 'updatedAt',
                },
                {

                    field : 'data', 
                        title : 'data',
                },
                {

                    field : 'exUserId', 
                        title : 'exUserId',
                },
                {

                    field : 'classId', 
                        title : 'classId',
                },
                {

                    field : 'type', 
                        title : '用户类型，4是学生 ; 3是教师',
                },
                {

                    field : 'sex', 
                        title : 'sex',
                },
                {

                    field : 'username', 
                        title : 'username',
                },
                {

                    field : 'password', 
                        title : 'password',
                },
                {

                    field : 'studentNo', 
                        title : 'studentNo',
                },
                {

                    field : 'nickname', 
                        title : 'nickname',
                },
                {

                    field : 'initBalance', 
                        title : '初始资金',
                },
                {

                    field : 'balance', 
                        title : '可用资金',
                },
                {

                    field : 'productAssets', 
                        title : '存货价值',
                },
                {

                    field : 'totalAssets', 
                        title : '总资产',
                },
                {

                    field : 'coreUserId', 
                        title : '关联core_user表的id',
                },
                {

                    field : 'coreOrgId', 
                        title : '关联core_org表的id',
                }

        ] ]

        });

            table.on('checkbox(usersTable)', function(obj){
                var users = obj.data;
                if(obj.checked){
                    //按钮逻辑Lib.buttonEnable()
                }else{

                }
            })
        },

        initSearchForm:function(){
            Lib.initSearchForm( $("#searchForm"),usersTable,form);
        },
        initToolBar:function(){
            toolbar = {
                add : function() { // 获取选中数据
                    var url = "/jlw/users/add.do";
                    Common.openDlg(url,"Users管理>新增");
                },
                edit : function() { // 获取选中数目
                    var data = Common.getOneFromTable(table,"usersTable");
                    if(data==null){
                        return ;
                    }
                    var url = "/jlw/users/edit.do?id="+data.id;
                    Common.openDlg(url,"Users管理>"+data.id+">编辑");
                },
                del : function() {
                    layui.use(['del'], function(){
                        var delView = layui.del
                        delView.delBatch();
                    });
                }
        };
            $('.ext-toolbar').on('click', function() {
                var type = $(this).data('type');
                toolbar[type] ? toolbar[type].call(this) : '';
            });
        }
    }
    exports('index',view);

});